/*(c) Copyright 2015 Pivotal Software, Inc. All Rights Reserved.*/
"use strict";

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var React = require("react");
var Dropdown = require("react-bootstrap/DropdownButton");

function defDropdown(props) {
  return React.createClass({
    render: function render() {
      return React.createElement(Dropdown, _extends({}, props, this.props));
    }
  });
}

module.exports = {
  Dropdown: Dropdown,
  DropdownItem: require("react-bootstrap/MenuItem"),
  LinkDropdown: defDropdown({ bsStyle: "link" }),
  DefaultAltDropdown: defDropdown({ className: "btn-default-alt" }),
  PrimaryDropdown: defDropdown({ bsStyle: "primary" }),
  LowlightDropdown: defDropdown({ className: "btn-lowlight" }),
  DangerDropdown: defDropdown({ bsStyle: "danger" }),
  HighlightDropdown: defDropdown({ className: "btn-highlight" }),
  HighlightAltDropdown: defDropdown({ className: "btn-highlight-alt" })
};